Name:       bengali-typing-booster
Version:    0.9.0
Release:    1%{?dist}
Summary:    Bengali typing booster tables for ibus-indic-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table

%description
Bengali typing booster package contains probhat, inscript\
and phonetic layout tables for Bengali language

%package -n %{name}-phonetic
Requires:  ibus-indic-table
Summary:   Bengali phonetic typing booster table for ibus indic tables

%description -n %{name}-phonetic
The package contains phonetic layout tables for bengali language.

%package -n %{name}-inscript
Requires:  ibus-indic-table
Summary:   Bengali inscript typing booster table for ibus indic tables

%description -n %{name}-inscript
The package contains inscript layout tables for bengali language.

%package -n %{name}-probhat
Requires:  ibus-indic-table
Summary:   Bengali probhat typing booster table for ibus indic tables

%description -n %{name}-probhat
The package contains probhat layout tables for bengali language.

%prep
%setup -q

%build
%configure \
  --enable-bengali-phonetic \
  --enable-bengali-inscript \
  --enable-bengali-probhat
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n bengali-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n bengali-inscript.db
%{_bindir}/ibus-indic-table-createdb -i -n bengali-probhat.db


%files -n %{name}-phonetic
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/bengali.png
%{_datadir}/ibus-indic-table/indic-tables/bengali-phonetic.db

%files -n %{name}-inscript
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/bengali.png
%{_datadir}/ibus-indic-table/indic-tables/bengali-inscript.db

%files -n %{name}-probhat
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/bengali.png
%{_datadir}/ibus-indic-table/indic-tables/bengali-probhat.db


%changelog
* Mon Jan 02 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-1
- The first version.
- Added support fpr phonetic, inscript and probhat
